package com.github.wxiaoqi.security.admin.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

@Data
@Table(name = "app_shareholder_detail_change_record")
public class AppShareholderDetailChangeRecord implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "JDBC")//此处加上注解
    private Integer id;

    @ApiModelProperty("用户id")
    @Column(name = "user_id")
    private Integer userId;

    @ApiModelProperty("公司名称")
    @Column(name = "company_name")
    private String companyName;

    @ApiModelProperty("公司ID")
    @Column(name = "company_id")
    private Integer companyId;

    @ApiModelProperty("用户手机号")
    @Column(name = "phone")
    private String phone;

    @ApiModelProperty("股东名称")
    @Column(name = "name")
    private String name;

    @ApiModelProperty("持股状态 0：持股中 1：已退股")
    @Column(name = "is_quit")
    private Integer isQuit;

    @ApiModelProperty("创建时间")
    @Column(name = "crt_time")
    private Long crtTime;

    @ApiModelProperty("实际入股时间时间")
    @Column(name = "rel_time")
    private Date relTime;

    @ApiModelProperty("操作人")
    @Column(name = "operator_id")
    private Integer operatorId;

}
