package com.github.wxiaoqi.security.admin.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;

/**
 * APP员工客户日志备注表
 */
@Table(name = "app_uesr_log_remark")
@Data
public class AppUserLogRemark {
    @Id
    @GeneratedValue(generator = "JDBC")//此处加上注解
    private Integer id;

    @ApiModelProperty("日志内容")
    @Column(name = "remark")
    private String remark;

    @ApiModelProperty("创建时间")
    @Column(name = "crt_time")
    private Date crtTime;

    @ApiModelProperty("用户id")
    @Column(name = "level_id")
    private Integer levelId;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date time;

    /**
     * 照片url地址","分割
     */
    private String photos;
    /**
     * 照片url地址
     */
    private List<String> photoList;
}
