package com.xxfc.platform.order.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 调车申请
 * 
 * @author libin
 * @email 18178966185@163.com
 * @date 2020-09-09 14:49:51
 */
@Data
@Table(name = "shunt_apply")
public class ShuntApply implements Serializable {
	private static final long serialVersionUID = 1L;

	public static final int STATUS_DEL = 0;
	public static final int STATUS_CRT = 1;
	public static final int STATUS_CNL = 2;
	public static final int STATUS_CONFIRM = 3;
	public static final int STATUS_ORDER = 4;
	public static final int STATUS_AUTOCNL = 5;
	public static final int STATUS_ERR = 6;
	public static final int STATUS_SUCC = 7;

	public static final int ORDER_STATUS_TOPAY = 1;
	public static final int ORDER_STATUS_PAY = 2;
	public static final int ORDER_STATUS_CANCEL = 3;

	/**
    *  主键
   */
    @Id
	@GeneratedValue(generator = "JDBC")
	@ApiModelProperty("主键")
    private Integer id;
	
	    /**
     *  状态
0--删除
1--创建
2--取消
3--申请成功

     */
    @Column(name = "status")
	@ApiModelProperty(value = "状态 0--删除 1--创建 2--取消 3--接单中 4--已下单 5--接单成功 6--接单失败")
    private Integer status;

	@Column(name = "order_status")
	@ApiModelProperty(value = "状态 1--待支付 2--已支付 3--已取消 ")
	private Integer orderStatus;
	
	    /**
     *  创建时间
     */
    @Column(name = "crt_time")
	@ApiModelProperty(value = "创建时间", hidden = true )
    private Date crtTime;
	
	    /**
     *  创建者id
     */
    @Column(name = "crt_user")
	@ApiModelProperty(value = "创建者id")
    private String crtUser;
	
	    /**
     *  用户id
     */
    @Column(name = "user_id")
	@ApiModelProperty(value = "用户id")
    private Integer userId;
	
	    /**
     *  更新者id
     */
    @Column(name = "upd_user")
	@ApiModelProperty(value = "更新者id")
    private String updUser;
	
	    /**
     *  更新时间
     */
    @Column(name = "upd_time")
	@ApiModelProperty(value = "更新时间", hidden = true )
    private Date updTime;
	
	    /**
     *  开始公司
     */
    @Column(name = "start_company_id")
	@ApiModelProperty(value = "开始公司")
    private Integer startCompanyId;
	
	    /**
     *  结束公司
     */
    @Column(name = "end_company_id")
	@ApiModelProperty(value = "结束公司")
    private Integer endCompanyId;
	
	    /**
     *  车型id
     */
    @Column(name = "model_id")
	@ApiModelProperty(value = "车型id")
    private Integer modelId;
	
	    /**
     *  车辆id
     */
    @Column(name = "vehicle_id")
	@ApiModelProperty(value = "车辆id")
    private String vehicleId;
	
	    /**
     *  开始时间
     */
    @Column(name = "start_time")
	@ApiModelProperty(value = "开始时间")
    private Long startTime;
	
	    /**
     *  结束时间
     */
    @Column(name = "end_time")
	@ApiModelProperty(value = "结束时间")
    private Long endTime;
	
	    /**
     *  订单id
     */
    @Column(name = "order_id")
	@ApiModelProperty(value = "订单id")
    private Integer orderId;
	
	    /**
     *  订单编号
     */
    @Column(name = "order_no")
	@ApiModelProperty(value = "订单编号")
    private String orderNo;

	/**
	 *  开始公司名称
	 */
	@Column(name = "start_company_name")
	@ApiModelProperty(value = "开始公司名称")
	private String startCompanyName;

	/**
	 *  结束公司名称
	 */
	@Column(name = "end_company_name")
	@ApiModelProperty(value = "结束公司名称")
	private String endCompanyName;

	/**
	 *  超时时间戳
	 */
	@Column(name = "over_time")
	@ApiModelProperty(value = "超时时间戳", hidden = true )
	private Long overTime;

	/**
	 *  开始城市编码
	 */
	@Column(name = "start_city_code")
	@ApiModelProperty(value = "开始城市编码")
	private Integer startCityCode;

	/**
	 *  结束城市编码
	 */
	@Column(name = "end_city_code")
	@ApiModelProperty(value = "结束城市编码", hidden = true )
	private Integer endCityCode;


	/**
	 *  确认申请的后台用户id
	 */
	@Column(name = "confirm_user_id")
	@ApiModelProperty(value = "确认申请的后台用户id", hidden = true )
	private Integer confirmUserId;


	/**
	 *  确认申请的公司（门店）id
	 */
	@Column(name = "confirm_company_id")
	@ApiModelProperty(value = "确认申请的公司（门店）id", hidden = true )
	private Integer confirmCompanyId;

	/**
	 * 预约记录id
	 */
	@Column(name = "book_record_id")
	@ApiModelProperty(value = "预约记录id", hidden = true )
	private Long bookRecordId;

}
